Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.ts.lib.porting
Interface TSJMSAdminInterface

    public interface TSJMSAdminInterface

This is the TSJMSAdminInterface. An implementation of this interface must be provided by each J2EE implementation, to support their own creation/deletion semantics of topic/queue and QueueConnectionFactory/TopicConnectionFactory.

Method Summary
`void` | `createQueueConnectionFactories(java.lang.String[] queueConnectionFactories, java.lang.String[] props)` This method creates QueueConnectionFactorys in a J2EE implementation.
`void` | `createQueues(java.lang.String[] queues)` The createQueues method creates queues in a J2EE implementation.
`void` | `createTopicConnectionFactories(java.lang.String[] topicConnectionFactories, java.lang.String[] props)` This method creates TopicConnectionFactorys in a J2EE implementation.
`void` | `createTopics(java.lang.String[] topics)` The createTopics method creates topics in a J2EE implementation.
`void` | `init(java.io.PrintWriter writer)` The init method is a logging mechanism for diagnostics.
`void` | `removeJmsConnectionFactories(java.lang.String[] jmsConnectionFactoryNames)` This method removes ConnectionFactories from a J2EE implementation.
`void` | `removeQueues(java.lang.String[] queues)` The removeQueues method removes queues in a J2EE implementation.
`void` | `removeTopics(java.lang.String[] topics)` The removeTopics method remove topics in a J2EE implementation.

Method Detail

### init

    void init(java.io.PrintWriter writer)

  The init method is a logging mechanism for diagnostics. The writer parameter specifies the PrinterWriter that is used to log output. Initializes a new TSJMSAdminInterface instance. All output should be printed to this PrintWriter. All properties in the ts.jte file are accessible to this porting implementation class only via the TSPropertyManager class.

  Parameters:
    `writer` - The PrintWriter that is used to log output.

### createQueues

    void createQueues(java.lang.String[] queues)
                      throws TSJMSAdminException

  The createQueues method creates queues in a J2EE implementation. The queues parameter specifies the queue destination objects to create.

  Parameters:
    `queues` - Queues to create
  Throws:
    `TSJMSAdminException`

### createTopics

    void createTopics(java.lang.String[] topics)
                      throws TSJMSAdminException

  The createTopics method creates topics in a J2EE implementation. The topics parameter specifies the topic destination objects to create.

  Parameters:
    `topics` - Topics to create
  Throws:
    `TSJMSAdminException`

### removeQueues

    void removeQueues(java.lang.String[] queues)
                      throws TSJMSAdminException

  The removeQueues method removes queues in a J2EE implementation. The queues parameter specifies the queue destination objects to remove.

  Parameters:
    `queues` - Queues to remove
  Throws:
    `TSJMSAdminException`

### removeTopics

    void removeTopics(java.lang.String[] topics)
                      throws TSJMSAdminException

  The removeTopics method remove topics in a J2EE implementation. The topics parameter specifies the topic destination objects to remove.

  Parameters:
    `topics` - Topics to remove
  Throws:
    `TSJMSAdminException`

### createQueueConnectionFactories

    void createQueueConnectionFactories(java.lang.String[] queueConnectionFactories,
                                        java.lang.String[] props)
                                        throws TSJMSAdminException

  This method creates QueueConnectionFactorys in a J2EE implementation. Two String array parameters are passed when createQueueConnectionFactories is called, where the first array specifies QueueConnectionFactorys to create and the second array specifies properties associated with the QueueConnectionFactory. Arguments passed as queueConnectionFactories[n],props[n] where props[i] consists all properties that associated to QueueConnectionFactory queueConnectionFactories[i]. Each element in the Properties array consists of a String name value pair that defines the properties for the factory connection. Some of the connection factories set up by J2EE TCK require a property for the clientID. The name value pair in this case would be "clientId=cts". If more than one property needs to be specified by a single QueueConnectionFactory, the properties should be space separated in the props string. If no property is being specified, the name value pair would be an empty String "".

  Parameters:
    `queueConnectionFactories` - queueConnectionFactories to create
    `props` - properties for the connection, if any
  Throws:
    `TSJMSAdminException`

### createTopicConnectionFactories

    void createTopicConnectionFactories(java.lang.String[] topicConnectionFactories,
                                        java.lang.String[] props)
                                        throws TSJMSAdminException

  This method creates TopicConnectionFactorys in a J2EE implementation. Two String array parameters are passed when createTopicConnectionFactories is called, where the first array specifies TopicConnectionFactorys to create and the second array specifies properties associated with the TopicConnectionFactory. Arguments passed as topicConnectionFactories[n],props[n] where props[i] consists all properties that associated to TopicConnectionFactory topicConnectionFactories[i]. Each element in the Properties array consists of a String name value pair that defines the properties for the factory connection. Some of the connection factories set up by J2EE TCK require a property for the clientID. The name value pair in this case would be "clientId=cts". If more than one property needs to be specified by a single TopicConnectionFactory, the properties should be space separated in the props string. If no property is being specified, the name value pair would be an empty String "".

  Parameters:
    `topicConnectionFactories` - topicConnectionFactories to create
    `props` - properties for the connection, if any
  Throws:
    `TSJMSAdminException`

### removeJmsConnectionFactories

    void removeJmsConnectionFactories(java.lang.String[] jmsConnectionFactoryNames)
                                      throws TSJMSAdminException

  This method removes ConnectionFactories from a J2EE implementation.

  Parameters:
    `jmsConnectionFactoryNames` - JmsConnectionFactoryNames to remove
  Throws:
    `TSJMSAdminException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD